/* GCC */

#define maxN 1000000 //    

#include <stdio.h>
#include <algorithm>

using namespace std;

unsigned int a[maxN]; //  
int n;

int main()
{
    freopen("triangle.in", "r", stdin);
    freopen("triangle.out", "w", stdout);

    scanf("%d\n", &n);
    for (int i = 0; i < n; i++)
        scanf("%u", &a[i]);
    scanf("\n");

    char c[4];
    scanf("%3s", c);

    bool findMax = c[1] == 'a';

    sort(a, a + n);

    if (findMax) //   
    {
        for (int i = n - 3; i >= 0; i--)
            if (a[i] + a[i + 1] > a[i + 2])
            {
                printf("%u\n", a[i] + a[i + 1] + a[i + 2]);
                return 0;
            }
    } else //   
    {
        unsigned int curMin = 0;
        for (int i = 2; i < n; i++)
        {
            //    ,      (i-1)-   i-:
            int index = lower_bound(a, a + i - 1, a[i] - a[i - 1] + 1) - a;
            if (index < i - 1) //   ,    :
            {
                unsigned int curValue = a[index] + a[i - 1] + a[i];
                if (curMin == 0 || curValue < curMin)
                    curMin = curValue;
            }
        }

        if (curMin > 0)
        {
            printf("%u\n", curMin);
            return 0;
        }
    }

    printf("none\n");
    return 0;
}
