/* GCC */

#define maxN 1000000

#include <stdio.h>

unsigned int a[maxN], n;

inline bool isTriangle(unsigned int a, unsigned int b, unsigned int c)
{
    return a + b > c && a + c > b && b + c > a;
}

int main()
{
    freopen("triangle.in", "r", stdin);
    freopen("triangle.out", "w", stdout);

    scanf("%u\n", &n);
    for (unsigned int i = 0; i < n; i++)
        scanf("%u", &a[i]);
    scanf("\n");

    char c[4];
    scanf("%3s", c);

    bool findMax = c[1] == 'a';

    unsigned int ans = 0;
    for (unsigned int i = 0; i < n; i++)
        for (unsigned int j = i + 1; j < n; j++)
            for (unsigned int k = j + 1; k < n; k++)
                if (isTriangle(a[i], a[j], a[k]))
                {
                    unsigned int cur = a[i] + a[j] + a[k];
                    if (ans == 0 || findMax && cur > ans || !findMax && cur < ans)
                        ans = cur;
                }

    if (ans == 0)
        printf("none\n");
    else
        printf("%u\n", ans);

    return 0;
}
